Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## norsys.netica
Class NetTester

    java.lang.Object
      |
      +--norsys.netica.NetTester

public class NetTester
extends java.lang.Object

New Netica functionality; for information contact info@norsys.com.

Since:
  2.08
Version:
  2.20 - May 7, 2002

Constructor Summary
`NetTester(NodeList testNodes, NodeList unObsNodes, int tests)` For configuration information contact info@norsys.com.

Method Summary
`void` | `finalize()` Informs the native NetTester that it is no longer required.
`double` | `getConfusion(Node node, int predictedState, int actualState)` New Netica functionality; for information contact info@norsys.com.
`double` | `getErrorRate(Node node)` New Netica functionality; for information contact info@norsys.com.
`double` | `getLogLoss(Node node)` New Netica functionality; for information contact info@norsys.com.
`double` | `getQuadraticLoss(Node node)` New Netica functionality; for information contact info@norsys.com.
`void` | `testWithFile(Streamer stream)` New Netica functionality; for information contact info@norsys.com.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetTester

    public NetTester(NodeList testNodes,
                     NodeList unObsNodes,
                     int tests)
              throws NeticaException

  For configuration information contact info@norsys.com.
  Parameters:

  NodeList |  | testNodes |  |
  NodeList |  | unObsNodes |  |
  int |  | tests |  |

Method Detail

### finalize

    public void finalize()
                  throws NeticaException

  Informs the native NetTester that it is no longer required.

  If you override this method, be sure to call the base class method (super.finalize();).
  Version:

  This method is available in all versions.
  In the C Version of the API, this function is called DeleteNetTester_bn.
  Overrides:
    `finalize` in class `java.lang.Object`

### testWithFile

    public void testWithFile(Streamer stream)
                      throws NeticaException

  New Netica functionality; for information contact info@norsys.com.
  Parameters:

  Streamer |  |  |  |

  Version:
  This method is available in all versions.
  In the C Version of the API, this function is called TestWithFile_bn.

### getConfusion

    public double getConfusion(Node node,
                               int predictedState,
                               int actualState)
                        throws NeticaException

  New Netica functionality; for information contact info@norsys.com.
  Parameters:

  Node |  | node |  | The node being examined.
  int |  | predictedState |  |
  int |  | actualState |  |

  Version:
  This method is available in all versions.
  In the C Version of the API, this function is called GetTestConfusion_bn.

### getErrorRate

    public double getErrorRate(Node node)
                        throws NeticaException

  New Netica functionality; for information contact info@norsys.com.
  Parameters:

  Node |  | node |  | The node being examined.

  Version:
  This method is available in all versions.
  In the C Version of the API, this function is called GetTestErrorRate_bn.

### getLogLoss

    public double getLogLoss(Node node)
                      throws NeticaException

  New Netica functionality; for information contact info@norsys.com.
  Parameters:

  Node |  | node |  | The node being examined.

  Version:
  This method is available in all versions.
  In the C Version of the API, this function is called GetTestLogLoss_bn.

### getQuadraticLoss

    public double getQuadraticLoss(Node node)
                            throws NeticaException

  New Netica functionality; for information contact info@norsys.com.
  Parameters:

  Node |  | node |  | The node being examined.

  Version:
  This method is available in all versions.
  In the C Version of the API, this function is called GetTestQuadraticLoss_bn.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD